﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using MVPViewState.Business.ViewInterfaces;

namespace MVPViewState.Business.Presenters
{
    public class WithViewstatePresenter : BasePresenter<IWithViewstateView>
    {
        public WithViewstatePresenter(IWithViewstateView view) : base(view)
        {
        }
        protected override void SubscribeViewToEvents()
        {
            View.ToggleLabelVisibleClicked += new EventHandler(View_ToggleLabelVisibleClicked);
        }
        void View_ToggleLabelVisibleClicked(object sender, EventArgs e)
        {
            View.IsLabelVisible = !View.IsLabelVisible;
            View.ToggleButtonText = View.IsLabelVisible ? "Hide selected value" : "Show selected value";
            UpdateView();
        }
        protected override void OnViewLoad(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                View.TheData = ReferenceDataComponent.GetAllData();
                View.IsLabelVisible = true;
                View.ToggleButtonText = "Hide selected value";
            }
            UpdateView();
        }
        protected override void UpdateView()
        {
            if (View.IsLabelVisible)
                View.LabelSelectedValueText = "The selected value is :" + View.SelectedValue;
        }
    }
}
