﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using MVPViewState.Business.ViewInterfaces;

namespace MVPViewState.Business.Presenters
{
    public class WithoutViewstate1Presenter : BasePresenter<IWithoutViewstateView1>
    {
        public WithoutViewstate1Presenter(IWithoutViewstateView1 view)
            : base(view)
        {
        }
        protected override void SubscribeViewToEvents()
        {
            View.ToggleLabelVisibleClicked += new EventHandler(View_ToggleLabelVisibleClicked);
            View.Init += new EventHandler(View_Init);
        }
        void View_Init(object sender, EventArgs e)
        {
            View.TheData = ReferenceDataComponent.GetAllData();
        }
        void View_ToggleLabelVisibleClicked(object sender, EventArgs e)
        {
            View.IsLabelVisible = !View.IsLabelVisible;
            UpdateView();
        }
        protected override void OnViewLoad(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                View.IsLabelVisible = true;
            }
            UpdateView();
        }
        protected override void UpdateView()
        {
            View.ToggleButtonText = View.IsLabelVisible ? "Hide selected value" : "Show selected value";
            if (View.IsLabelVisible)
                View.LabelSelectedValueText = "The selected value is :" + View.SelectedValue;
        }
    }
}
