﻿
using System.Collections.Specialized;
using System.Text;

namespace MVPViewstate.Code
{
    public static class ParamHelper
    {
        public static string ParamsToString(NameValueCollection coll)
        {
            string[] queryParams = new string[coll.Count * 2];
            for (int i = 0; i < coll.Count; i++)
            {
                queryParams[i * 2] = coll.GetKey(i);
                queryParams[(i * 2) + 1] = coll[i];
            }
            return ParamsToString(queryParams);
        }

        public static string ParamsToString(params string[] queryParams)
        {
            StringBuilder sb = new StringBuilder();
            if (queryParams.Length > 0)
            {
                bool alternatingChar = true;
                foreach (string param in queryParams)
                {
                    sb.Append(param);
                    sb.Append(alternatingChar ? "=" : "&");
                    alternatingChar = !alternatingChar;
                }
            }
            return sb.ToString();
        }

        public static NameValueCollection StringToParams(string s)
        {
            NameValueCollection result = new NameValueCollection();
            if (string.IsNullOrEmpty(s))
                return result;
            string[] queryparams = s.Split('&');
            foreach (string queryparam in queryparams)
            {
                if (queryparam.Contains("="))
                {
                    string[] keyvalue = queryparam.Split('=');
                    result.Add(keyvalue[0], keyvalue[1]);
                }
            }
            return result;
        }
    }
}